> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Requests



## OpenAPI

````yaml /openapi/token.json get /token/requests
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /token/requests:
    get:
      tags:
        - Token Management
      summary: Get Token Requests
      operationId: Get_Token_Requests_token_requests_get
      parameters:
        - name: start_time
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
        - name: end_time
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Cursor for pagination (started_at timestamp)
          description: Cursor for pagination (started_at timestamp)
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TokenHistory'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TokenHistory:
      properties:
        id:
          type: string
          format: uuid
        cost:
          type: integer
        points_left:
          anyOf:
            - type: integer
            - type: 'null'
        is_paid:
          type: boolean
        endpoint:
          type: string
        token_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
        plan:
          type: string
        started_at:
          type: string
          format: date-time
        duration:
          anyOf:
            - type: number
            - type: 'null'
        response_status_code:
          anyOf:
            - type: integer
            - type: 'null'
        response_error_text:
          anyOf:
            - type: string
            - type: 'null'
        response_count:
          anyOf:
            - type: integer
            - type: 'null'
        response_execution_time:
          anyOf:
            - type: number
            - type: 'null'
        response_request_id:
          anyOf:
            - type: string
            - type: 'null'
        timeout:
          anyOf:
            - type: integer
            - type: 'null'
        is_token_expired:
          anyOf:
            - type: boolean
            - type: 'null'
        is_points_run_out:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - id
        - cost
        - is_paid
        - endpoint
        - plan
        - started_at
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````